Endpoint
GET/v1/account/order/query
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | String | No | Order ID returned by the platform. |
| businessId | String | No | Merchant-defined business ID. Either id or businessId must be provided. |
| timestamp | Long | Yes | UNIX timestamp (in milliseconds). |
Response Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | String | Yes | Order ID. |
| tokenName | String | Yes | Name of the token. |
| chainName | String | Yes | Blockchain network name, e.g., Ethereum, Bsc. |
| toAddress | String | Yes | Recipient’s address. |
| amount | String | Yes | Withdrawal amount. |
| status | String | Yes | Order status. Refer to “Enum Definitions” for details. |
| businessId | String | No | Merchant-defined business ID. |
| tag | String | No | Notes or remarks for the order. |
| txHash | String | No | Blockchain transaction hash. |
| blockHigh | String | No | Block height of the transaction. |
| networkFee | String | Yes | Network fee charged for the transaction. |
| platformFee | String | Yes | Platform commission fee. |
| createdTime | Long | Yes | Order creation time (UTC). |
| completeTime | Long | No | Order completion time (UTC). |
Response Example
{
"code": 200,
"msg": "success",
"timestamp": "1725674596300",
"data": {
"id": "587096537146986496",
"chainName": "Tron",
"tokenName": "USDT",
"toAddress": "TKjLDbk7LC9NXzRBCYahKa8pzMHRfahJjn",
"amount": "200.15",
"status": "Success",
"businessId": "",
"tag": "",
"txId": "56a925bb3a90badb770f227e34a61737327e0eded81190e048c23ab6efa8ec9b",
"blockHigh": 50025541,
"networkFee": "2",
"platformFee": "0.15",
"createdTime": 1729475874520,
"completeTime": 1729475874520
}
}